<?php
/**
 * Footer
 *
 * @package auto-pt
 */

$auto_footer_widgets_layout = AutoPTHelpers::footer_widgets_layout_array();

$footer_middle_left_txt  = get_theme_mod( 'footer_middle_left_txt', 'We accept credit cards &nbsp; &nbsp; &nbsp; <span class="footer__icons"><i class="fa  fa-3x  fa-cc-visa"></i> &nbsp; <i class="fa  fa-3x  fa-cc-mastercard"></i> &nbsp; <i class="fa  fa-3x  fa-cc-amex"></i> &nbsp; <i class="fa  fa-3x fa-cc-paypal"></i></span>' );
$footer_middle_right_txt = get_theme_mod( 'footer_middle_right_txt', '' );
$footer_back_to_top      = get_theme_mod( 'footer_back_to_top', 'yes' );

?>

	<footer class="footer">
		<div class="footer-top">
			<?php if( is_active_sidebar( 'footer-dark-widgets' ) ) : ?>
			<div class="footer-top__right">
				<?php dynamic_sidebar( apply_filters( 'autopt_footer-dark-widgets', 'footer-dark-widgets', get_the_ID() ) ); ?>
			</div>
			<?php endif; ?>
			<?php if ( ! empty( $auto_footer_widgets_layout ) && is_active_sidebar( 'footer-widgets' ) ) : ?>
			<div class="footer-top__left">
				<div class="row">
					<?php dynamic_sidebar( 'footer-widgets' ); ?>
				</div>
			</div>
			<?php endif; ?>
		</div>
		<?php if ( ! ( 'no' === $footer_back_to_top && empty( $footer_middle_left_txt ) && empty( $footer_middle_right_txt ) ) ) : ?>
		<div class="footer-middle__container">
			<div class="container">
				<div class="footer-middle">
					<div class="footer-middle__left">
					<?php echo wp_kses_post( apply_filters( 'autopt_footer_middle_left_txt', $footer_middle_left_txt ) ); ?>
					</div>
					<?php if ( 'yes' === $footer_back_to_top ) : ?>
						<a href="#" class="btn  btn-primary  footer-middle__back-to-top">
							<i class="fa fa-chevron-up"></i>
						</a>
					<?php endif; ?>
					<div class="footer-middle__right">
						<?php echo wp_kses_post( apply_filters( 'autopt_footer_middle_right_txt', $footer_middle_right_txt ) ); ?>
						<nav class="footer__navigation" aria-label="<?php esc_html_e( 'Footer Menu', 'auto-pt' ); ?>">
							<?php
							if ( has_nav_menu( 'footer-menu' ) ) {
								wp_nav_menu( array(
									'theme_location' => 'footer-menu',
									'container'      => false,
									'menu_class'     => 'footer-navigation  js-main-nav',
									'walker'         => new Aria_Walker_Nav_Menu(),
									'items_wrap'     => '<ul id="%1$s" class="%2$s" role="menubar">%3$s</ul>',
								) );
							}
							?>
						</nav>
					</div>
				</div>
			</div>
		</div>
		<?php endif; ?>
		<div class="footer-bottom__container">
			<div class="container">
				<div class="footer-bottom">
					<div class="footer-bottom__left">
						<?php echo wp_kses_post( apply_filters( 'autopt_footer_bottom_left_txt', get_theme_mod( 'footer_bottom_left_txt', '<a href="https://www.proteusthemes.com/wordpress-themes/auto/">Auto Theme</a> - Made by ProteusThemes.' ) ) ); ?>
					</div>
					<div class="footer-bottom__right">
						<?php echo wp_kses_post( apply_filters( 'autopt_footer_bottom_right_txt', get_theme_mod( 'footer_bottom_right_txt', 'Copyright &copy; 2009&#8211;2016 Auto. All rights reserved.' ) ) ); ?>
					</div>
				</div>
			</div>
		</div>
	</footer>
	</div><!-- end of .boxed-container -->

	<?php wp_footer(); ?>
	</body>
</html>
