<?php
/**
 * The Header for Auto Theme
 *
 * @package auto-pt
 */

$auto_style_attr = AutoPTHelpers::header_background_style();

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta name="format-detection" content="telephone=no" />
		<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php endif; ?>

		<?php wp_head(); ?>
	</head>

	<body <?php body_class( AutoPTHelpers::add_body_class() ); ?>>
	<div class="boxed-container">

	<header class="site-header"<?php echo empty( $auto_style_attr ) ? '' : ' style="' . esc_attr( $auto_style_attr ) . ';"'; ?>>
		<div class="container">
			<div class="header__container">
				<div class="container">
					<div class="header">
						<!-- Logo and site name -->
						<div class="header__logo">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
								<?php
								$auto_logo   = get_theme_mod( 'logo_img', false );
								$auto_logo2x = get_theme_mod( 'logo2x_img', false );

								if ( ! empty( $auto_logo ) ) :
								?>
									<img src="<?php echo esc_url( $auto_logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" srcset="<?php echo esc_attr( $auto_logo ); ?><?php echo empty( $auto_logo2x ) ? '' : ', ' . esc_url( $auto_logo2x ) . ' 2x'; ?>" class="img-fluid" <?php echo AutoPTHelpers::get_logo_dimensions(); ?> />
								<?php
								else :
								?>
									<h1><?php bloginfo( 'name' ); ?></h1>
								<?php
								endif;
								?>
							</a>
						</div>
						<!-- Toggle button for Main Navigation on mobile -->
						<button class="btn  btn-dark  header__navbar-toggler  hidden-lg-up  js-sticky-mobile-option" type="button" data-toggle="collapse" data-target="#auto-main-navigation"><i class="fa  fa-bars  hamburger"></i> <span><?php esc_html_e( 'MENU' , 'auto-pt' ); ?></span></button>
						<!-- Header navigation widget area -->
						<?php if ( is_active_sidebar( 'navigation-widgets' ) ) : ?>
							<div class="header__navigation-widgets">
								<?php dynamic_sidebar( apply_filters( 'autopt_navigation_widgets', 'navigation-widgets', get_the_ID() ) ); ?>
							</div>
						<?php endif; ?>
						<!-- Main Navigation -->
						<nav class="header__navigation  collapse  navbar-toggleable-md  js-sticky-desktop-option" id="auto-main-navigation" aria-label="<?php esc_html_e( 'Main Menu', 'auto-pt' ); ?>">
							<?php
							if ( has_nav_menu( 'main-menu' ) ) {
								wp_nav_menu( array(
									'theme_location' => 'main-menu',
									'container'      => false,
									'menu_class'     => 'main-navigation  js-main-nav  js-dropdown',
									'walker'         => new Aria_Walker_Nav_Menu(),
									'items_wrap'     => '<ul id="%1$s" class="%2$s" role="menubar">%3$s</ul>',
								) );
							}
							?>
						</nav>
						<!-- Header widget area -->
						<div class="header__widgets">
							<?php
							if ( is_active_sidebar( 'header-widgets' ) ) {
								dynamic_sidebar( apply_filters( 'autopt_header_widgets', 'header-widgets', get_the_ID() ) );
							}
							?>
						</div>
					</div>
				</div>
			</div>

			<?php
			// Hide page-header template part on Front Page with Slider page template.
			if ( ! is_page_template( array( 'template-front-page-slider.php', 'template-front-page-slider-alt.php' ) ) ) {
				get_template_part( 'template-parts/page-header' );
			}
			?>

		</div>
	</header>
