<?php
/**
 * Add the link to documentation under Appearance in the wp-admin
 *
 * @package auto-pt
 */

if ( ! function_exists( 'autopt_add_docs_page' ) ) {
	function autopt_add_docs_page() {
		add_theme_page(
			esc_html__( 'Documentation', 'auto-pt' ),
			esc_html__( 'Documentation', 'auto-pt' ),
			'',
			'proteusthemes-theme-docs',
			'autopt_docs_page_output'
		);
	}
	add_action( 'admin_menu', 'autopt_add_docs_page' );

	function autopt_docs_page_output() {
		?>
		<div class="wrap">
			<h2><?php esc_html_e( 'Documentation', 'auto-pt' ); ?></h2>

			<p>
				<strong><a href="https://www.proteusthemes.com/docs/auto-pt/" class="button button-primary " target="_blank"><?php esc_html_e( 'Click here to see online documentation of the theme!', 'auto-pt' ); ?></a></strong>
			</p>
		</div>
		<?php
	}
}
