<?php

// Only require these files, if the Visual Composer plugin is activated
if ( defined( 'WPB_VC_VERSION' ) ) {

	// Require Visual Composer classes
	require_once get_template_directory() . '/vendor/proteusthemes/visual-composer-elements/vc-shortcodes/class-vc-shortcode.php';
	require_once get_template_directory() . '/vendor/proteusthemes/visual-composer-elements/vc-shortcodes/class-vc-custom-param-types.php';
	require_once get_template_directory() . '/vendor/proteusthemes/visual-composer-elements/vc-shortcodes/class-vc-helpers.php';

	// Require Visual Composer Auto front page template
	AutoPTHelpers::load_file( '/inc/visual-composer/templates/vc-home-page-template.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/templates/vc-our-services-template.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/templates/vc-about-us-template.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/templates/vc-contact-us-template.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/templates/vc-portfolio-template.php' );

	// Require custom VC elements for Auto theme
	AutoPTHelpers::load_file( '/inc/visual-composer/elements/vc-call-to-action.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/elements/vc-open-position.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/elements/vc-pricing-list.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/elements/vc-container-pricing-list.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/elements/vc-counter.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/elements/vc-step.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/elements/vc-portfolio-grid.php' );
	AutoPTHelpers::load_file( '/inc/visual-composer/elements/vc-container-icon-box-with-popover.php' );

	// Visual Composer shortcodes for the theme from the Visual Composer Elements (PHP Composer package)
	$auto_custom_vc_shortcodes = array(
		'brochure-box',
		'facebook',
		'featured-page',
		'icon-box',
		'skype',
		'opening-time',
		'social-icon',
		'container-social-icons',
		'testimonial',
		'container-testimonials',
		'accordion-item',
		'container-accordion',
		'person-profile',
		'latest-news',
		'container-number-counter',
		'container-steps',
	);

	foreach ( $auto_custom_vc_shortcodes as $file ) {
		AutoPTHelpers::load_file( sprintf( '/vendor/proteusthemes/visual-composer-elements/vc-shortcodes/shortcodes/vc-%s.php', $file ) );
	}
}