<?php
/**
 * Search results page
 *
 * @package auto-pt
 */

get_header();

$auto_sidebar = get_field( 'sidebar', (int) get_option( 'page_for_posts' ) );

if ( ! $auto_sidebar ) {
	$auto_sidebar = 'left';
}

get_template_part( 'template-parts/breadcrumbs' );

?>

	<div id="primary" class="content-area  container">
		<div class="row">
			<main id="main" class="site-main  col-xs-12<?php echo 'left' === $auto_sidebar ? '  col-lg-9  col-lg-push-3' : ''; ?><?php echo 'right' === $auto_sidebar ? '  col-lg-9' : ''; ?>" role="main">
				<?php if ( have_posts() ) : ?>

					<?php /* Start the Loop */ ?>
					<?php while ( have_posts() ) : the_post(); ?>

						<?php get_template_part( 'template-parts/content', 'search' ); ?>

					<?php endwhile; ?>

					<?php
						the_posts_pagination( array(
							'prev_text' => '<i class="fa fa-chevron-left"></i>',
							'next_text' => '<i class="fa fa-chevron-right"></i>',
						) );
					?>

				<?php else : ?>

					<?php get_template_part( 'template-parts/content', 'none' ); ?>

				<?php endif; ?>
			</main>

			<?php get_template_part( 'template-parts/sidebar', 'blog' ); ?>

		</div>
	</div>

<?php get_footer(); ?>
