<?php
/**
 * Template part for Jumbotron
 *
 * @package auto-pt
 */

$auto_only_one_slide = ( 1 === count( get_field( 'slides' ) ) );

?>

<div class="jumbotron  jumbotron--<?php echo 'caption' === get_field( 'slider_content' ) ? 'with-captions' : 'no-caption'; ?>">
	<?php if ( ! $auto_only_one_slide ) : ?>
		<div class="carousel  slide  js-jumbotron-slider" id="headerCarousel" data-ride="carousel" <?php printf( 'data-interval="%s"', get_field( 'auto_cycle' ) ? esc_attr( get_field( 'cycle_interval' ) ) : 'false' ); ?>>
	<?php endif; ?>
		<!-- Wrapper for slides -->
		<div class="carousel-inner">
		<?php
		$i = -1;
		$auto_slider_captions = array();
		$auto_has_captions = 'caption' === get_field( 'slider_content' );

		while ( have_rows( 'slides' ) ) :
			the_row();
			$i++;

			$auto_slider_sizes = array( 'autopt-jumbotron-slider-l', 'autopt-jumbotron-slider-m', 'autopt-jumbotron-slider-s' );

			$auto_slide_image_srcset = AutoPTHelpers::get_image_srcset( get_sub_field( 'slide_image' ), $auto_slider_sizes );
			$auto_slide_link         = get_sub_field( 'slide_link' );

			$auto_slider_src_img = wp_get_attachment_image_src( absint( get_sub_field( 'slide_image' ) ), 'autopt-jumbotron-slider-s' );

			if ( $auto_has_captions ) {
				$auto_slider_captions[] = array(
					'title' => get_sub_field( 'slide_title' ),
					'text'  => get_sub_field( 'slide_text' ),
				);
			}
		?>


			<div class="carousel-item <?php echo 0 === $i ? ' active' : ''; ?>">
				<?php if ( ! empty( $auto_slide_link ) && 'link' === get_field( 'slider_content' ) ) :?>
					<a href="<?php echo esc_url( $auto_slide_link ); ?>" target="<?php echo ( get_sub_field( 'slide_open_link_in_new_window' ) ) ?  '_blank' : '_self' ?>">
				<?php endif; ?>
				<img src="<?php echo esc_url( $auto_slider_src_img[0] ); ?>" srcset="<?php echo esc_attr( $auto_slide_image_srcset ); ?>" sizes="100vw" alt="<?php echo esc_attr( get_sub_field( 'slide_title' ) ); ?>">
				<?php if ( ! empty( $auto_slide_link ) && 'link' === get_field( 'slider_content' ) ) :?>
					</a>
				<?php endif; ?>
			</div>

		<?php
			endwhile;
		?>

		</div>

	<?php if ( ! $auto_only_one_slide ) : ?>
		<!-- Controls -->
		<a class="left  jumbotron__control" href="#headerCarousel" role="button" data-slide="prev">
			<i class="fa  fa-chevron-left"></i>
		</a>
		<a class="right  jumbotron__control" href="#headerCarousel" role="button" data-slide="next">
			<i class="fa  fa-chevron-right"></i>
		</a>
	</div>
	<?php endif; ?>

	<!-- Slider Content -->
	<?php if ( ! empty( $auto_slider_captions ) ) : ?>
	<div class="container">
		<div class="jumbotron-content  js-slider-captions">
			<h1 class="jumbotron-content__title  js-slider-captions__title"><?php echo esc_html( $auto_slider_captions[0]['title'] ); ?></h1>
			<div class="jumbotron-content__description  js-slider-captions__text">
				<?php echo wp_kses_post( $auto_slider_captions[0]['text'] ); ?>
			</div>
		</div>
	</div>
	<script>window.AutoSliderCaptions = <?php echo wp_json_encode( $auto_slider_captions ); ?>;</script>
	<?php endif; ?>

</div>
