<?php
/**
 * The Page Title part of the Header for Auto Theme
 *
 * @package auto-pt
 */

$auto_blog_id = absint( get_option( 'page_for_posts' ) );
$auto_shop_id = absint( get_option( 'woocommerce_shop_page_id', 0 ) );

?>

<div class="page-header">
	<div class="container">
		<div class="page-header__text">
			<?php
			$auto_main_tag = 'h1';
			$auto_subtitle = false;

			if ( is_home() || ( is_single() && 'post' === get_post_type() ) ) {
				$auto_title    = get_the_title( $auto_blog_id );
				$auto_subtitle = get_field( 'subtitle', $auto_blog_id );

				if ( is_single() ) {
					$auto_main_tag = 'h2';
				}
			}
			elseif ( AutoPTHelpers::is_woocommerce_active() && is_woocommerce() ) {
				ob_start();
				woocommerce_page_title();
				$auto_title    = ob_get_clean();
				$auto_subtitle = get_field( 'subtitle', $auto_shop_id );

				if ( is_product() ) {
					$auto_main_tag = 'h2';
				}
			}
			elseif ( is_category() || is_tag() || is_author() || is_post_type_archive() || is_tax() || is_day() || is_month() || is_year() ) {
				$auto_title = get_the_archive_title();
			}
			elseif ( is_search() ) {
				$auto_title = esc_html__( 'Search Results For' , 'auto-pt' ) . ' &quot;' . get_search_query() . '&quot;';
			}
			elseif ( is_404() ) {
				$auto_title = esc_html__( 'Error 404' , 'auto-pt' );
			}
			else {
				$auto_title    = get_the_title();
				$auto_subtitle = get_field( 'subtitle' );
			}

			?>

			<?php printf( '<%1$s class="page-header__title">%2$s</%1$s>', tag_escape( $auto_main_tag ), esc_html( $auto_title ) ); ?>

			<?php if ( $auto_subtitle ) : ?>
				<p class="page-header__subtitle"><?php echo esc_html( $auto_subtitle ); ?></p>
			<?php endif; ?>
		</div>
	</div>
</div>
